Move Tasks to a TaskStatus

Moves one or more Tasks into the specified TaskStatus. If a Position is specified for a Task, it will be placed at that position within the target TaskStatus. If no Position is specified, the Task will be placed at the end of the list within the target TaskStatus.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskStatusIdstringRequiredformat: "uuid"
The unique identifier of the TaskStatus to move the Tasks into

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The Tasks to move and the position each should occupy within the target TaskStatus
taskIdstringRequiredformat: "uuid"
The unique identifier of the Task to move.
positioninteger or nullOptional>=0

The zero-based position the Task should occupy within the target TaskStatus. When not specified, the Task is moved to the end of the TaskStatus.

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
datalist of objectsOptional
If the API call succeeded, this will contain the results.

Errors

400
Bad Request Error